/**
 * Copyright (c) 2024 LOBA
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 * 
 * SPDX-License-Identifier: MIT
 * 
 * Contributors:
 *     [name] - [contribution]
 */

@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap');

body {
    overflow: hidden !important;
    font-family: 'Lato', sans-serif !important;
}

.pf-v5-c-form__group-label {
    padding: 0 !important;
}

.pf-v5-c-form__group-label label span {
    font-size: 13px;
    line-height: 1.5em;
    font-family: 'Lato', sans-serif;
    color: #fff;
}

input {
    padding: 0;
    padding-bottom: 16px;
    background-color: transparent;
    border-radius: 0;
    font-size: 32px;
    color: #000;
    font-family: 'Lato', sans-serif;
    font-weight: 300;
    box-sizing: border-box;
    width: 100%;
}

input::placeholder {
    color: var(--black);
}

input[type="text"],
input[type="password"] {
    padding: 14px 24px !important;
    color: #fff;
    width: 100%;
    border: 1px solid rgba(133, 127, 228, 0.4);
    filter: drop-shadow(0px 8px 16px rgba(112, 144, 176, 0.12));
    border-radius: 65px;
    min-height: 60px !important;
    height: auto !important;
}

input[type="text"]::placeholder,
input[type="password"]::placeholder {
    color: var(--white);
}

#save-btn,
#refresh-page,
.pf-v5-c-button,
input[type="submit"] {
    padding: 16px !important;
    display: block;
    border-radius: 1.9375rem;
    box-shadow: 0px 8px 16px 0px rgba(112, 144, 176, 0.1215686275);
    font-size: 0.875rem !important;
    line-height: 0.875rem;
    color: #fff !important;
    font-weight: 600;
    text-decoration: none;
    transition: all 0.3s ease;
    border: 1px solid var(--color-hover-icon);
    background: radial-gradient(50% 50% at 50% 50%, rgba(247, 147, 30, 0.6) 0%, rgba(190, 80, 1, 0.6) 100%);
    margin: 0 !important;
    min-width: max-content;
    max-width: max-content;
}

.pf-v5-c-button:after {
    display: none !important;
}

#cancel-btn {
    display: block;
    text-decoration: none;
    font-size: 0.875rem;
    padding: 1rem;
    color: var(--color-default-1);
    font-weight: 600;
    border-radius: 12.5rem;
    line-height: 0.875rem;
    border: 1px solid rgba(133, 127, 228, 0.2);
    transition: all 0.3s ease;
    background: transparent;
    margin: 0 !important;
}

.kcFormCardClass.card-pf {
    padding: 0 !important;
    box-shadow: none !important;
    display: flex;
    flex-direction: column-reverse;
}

#kc-form-login .text-white.pb-20 {
    padding-bottom: 40px !important;
}

#kc-form-login .form-group {
    margin-bottom: 40px !important;
}

#kc-form-login button {
    max-width: max-content;
    gap: 12px;
    font-size: 14px;
    font-weight: 700;
}

.kcInputClass:focus,
.kcFormGroupClass input:-webkit-autofill,
.kcFormGroupClass input:-webkit-autofill:hover,
.kcFormGroupClass input:-webkit-autofill:focus,
.kcFormGroupClass input:-webkit-autofill:active {
    border-color: #fff !important;
}

body.kcBodyClass {
    overflow: auto !important;
}

input[type="checkbox"] {
    /* position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0; */
    outline: none !important;
}

input[type="checkbox"]:checked {
    background: radial-gradient(50% 50% at 50% 50%, rgba(247, 147, 30, 0.2) 0%, rgba(247, 147, 30, 0.2) 100%);
    border-color: #f7931e;
}

input[type="checkbox"]:checked {
    /* opacity: 1; */
    /* border-color: var(--color-hover-icon); */
}

input[type="checkbox"]:hover {
    background: radial-gradient(50% 50% at 50% 50%, rgba(171, 167, 238, 0.466667) 0%, rgba(171, 167, 238, 0.466667) 100%);
}

#kc-form-options {
    position: relative;
}

#kc-form-options input+span {
    top: 14px;
}

#kc-form-options label+label {
    font-size: 11px;
    color: #ABA7EE;
    line-height: 30px;
    margin: 0;
    margin-left: 10px;
    top: 0;
    position: relative;
    font-weight: 400;
}

#kc-registration-container span,
#kc-registration-container a,
#kc-registration-container a:hover
header .subtitle,
.kcFormOptionsWrapperClass {
    font-size: 13px;
    color: #ABA7EE;
    font-weight: 400;
}

.kcInputGroup {
    padding: 0 !important;
    position: relative;
}

.kcInputGroup input {
    margin: 0;
}

.kcInputGroup button {
    position: absolute;
    right: 0;
    top: 0;
    bottom: 0;
    margin: 0 auto;
    right: 20px;
}

.kcInputGroup button svg path{
    fill: #fff;
}

.kcLabelWrapperClass {
    margin-bottom: 25px !important;
}

.kcFormGroupClass {
    margin-bottom: 40px !important;
}